Autor Tema: wifislax-updaters HILO 2  (Leído 199824 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #200 en: 05-10-2015, 20:18 (Lunes) »
Bueno , pues , con lo contento que yo estaba con lo de

1 || 2 || 3 ||


el maximo es 5  , pero esta muy bien.


categoria multimedia acabada y subida


« Última modificación: 05-10-2015, 22:39 (Lunes) por USUARIONUEVO »

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #201 en: 06-10-2015, 07:25 (Martes) »
y tu quien eres para menospreciar el trabajo GRATUITO de gente del foro con esos modales?mas quisieras tu saber la cuarta parte que el de esto y si tanto sabes arreglatelo tu pero no tires a la gente por el suelo con esas formas y si no te gusta ya sabes caminito y usas otra diestro.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #202 en: 06-10-2015, 20:50 (Martes) »
« Última modificación: 06-10-2015, 20:52 (Martes) por USUARIONUEVO »

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2378
  • Prácticas precisas precisan práctica
Re: wifislax-updaters HILO 2
« Respuesta #203 en: 06-10-2015, 21:06 (Martes) »
y tu quien eres para menospreciar el trabajo GRATUITO de gente del foro con esos modales?mas quisieras tu saber la cuarta parte que el de esto y si tanto sabes arreglatelo tu pero no tires a la gente por el suelo con esas formas y si no te gusta ya sabes caminito y usas otra diestro.

¿A quien le hablas? creo que te has equivocado de post  ;D

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #204 en: 06-10-2015, 21:49 (Martes) »
a uno que habia escrito cosas que no me han gustado,pero creo que han eliminado el mensaje.

Desconectado sanson

  • Moderador Global
  • *
  • Mensajes: 8402
Re: wifislax-updaters HILO 2
« Respuesta #205 en: 06-10-2015, 22:01 (Martes) »
Hola

A un chingon, como siempre .  desde que pizarro dejó de exterminarlos , no han hecho más que engordar a sus mujeres y perder la educación .


Saludos

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #206 en: 06-10-2015, 22:44 (Martes) »
uno que preguntaba si yo escribia esa mierda/basura de scripts  ;D

todo por que le fallaba uno , ...que seguramente ha sido en estos 2/3 días que he estado tocándolos todos por lo de unificar mas variables.



Dicen que la ignorancia es la felicidad , y ha algunos se les ve taaan felices.  ;D

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #207 en: 07-10-2015, 00:07 (Miércoles) »
Y yo me pregunto... Como se tiene que aburrir la gente como para tener que hacer el esfuerzo de abrir un hilo para decir tonterías... jajaja

@USUARIONUEVO

Varias cosas que comentar.

Voy a tener muy difícil ayudar al desarrollo estos meses. Intentaré sacar tiempo de vez en cuando.

Las dos variables nuevas... Hay que ponerlas a mano? O sea... En muchos casos, con pasarle el link como parámetro a alguna función sería suficiente para que determinase la extensión no?

Respecto a usar ||... Que pasa si todas fallan? Habría que poner un exit 1 o algo así al final? Pregunto... No tengo ni idea...

Y recordar que el de java hace una cosa rara para descargar el paquete (cookies), por lo que sólo puede funcionar con wget (a no ser que aria2 pueda usar cookies... Por lo que habría que portarlo)

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #208 en: 07-10-2015, 00:43 (Miércoles) »
sitodas fallan el script se para el solo al no poder seguir.

las variables nuevas , estaran en el script base_updater , que tengo que actualizarlo.

por favor usad dicho script como plaantilla ...si no es un desmadre.

lo del tiempo , no te preocupes ... este mes mo cobras ya ya esta  ;D ;D ;D


lo de la coockie , esta en funciiones ...si prgnam jre .... gestor  wget con la coockie ,,, ;D


e
stan todos probados y funcionales ..me pase medio dia probandolos y compile todo perfecto  ;D
« Última modificación: 07-10-2015, 00:45 (Miércoles) por USUARIONUEVO »

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #209 en: 07-10-2015, 21:57 (Miércoles) »
modulo con los updaters actualizados

https://mega.nz/#!r1oFVATY!6zhsUInqXhGndj6vQvdluw1fnHOPKdjOrY8JgS03dHc
usuarionuevo,yo en mi iso tengo el wifislax_updaters-5.2_github-noarch-1sw ¿puedo cambiarlo a por este?

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #210 en: 07-10-2015, 22:29 (Miércoles) »
modulo con los updaters actualizados

https://mega.nz/#!r1oFVATY!6zhsUInqXhGndj6vQvdluw1fnHOPKdjOrY8JgS03dHc
usuarionuevo,yo en mi iso tengo el wifislax_updaters-5.2_github-noarch-1sw ¿puedo cambiarlo a por este?

sip , solo fijate el numero de version es mas alto ahora es 6.0  ..el otro paquete que tienes pone github, por que fue de lo primero que subimos ,y como aun estaba en fase de pruebas puse eso de github , para saber que eran los nuevos.


quitas el 5.2 y ponte el 6.0

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2378
  • Prácticas precisas precisan práctica
Re: wifislax-updaters HILO 2
« Respuesta #211 en: 08-10-2015, 00:01 (Jueves) »
De todas formas si ya has instalado el módulo de los updates de github ya puedes usar el actualizador e updaters, que está en Menú -> Actualizadores -> Sistema -> updaters, y así estar siempre a la última.

sol666

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #212 en: 08-10-2015, 00:47 (Jueves) »
ok,gracias a los dos.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #213 en: 14-10-2015, 09:00 (Miércoles) »
ahora siempre habra dialogo , antes de tocar nada cuando lanzamos un updater

Código: [Seleccionar]
# Detecta la version instalada en el sistema
f_versionInstalada() {
   INSTALADA="$(ls /var/log/packages|rev|cut -d'-' -f3-|sed 's/-/ /'|rev|grep "^$PRGNAM "|cut -d' ' -f2|tail -1)"
   if [ -z $INSTALADA ];then
   INSTALADA="NO INSTALADA"
   VERSIONLOCAL=$INSTALADA
   else
   VERSIONLOCAL=$PRGNAM-$INSTALADA
   fi
   echo ""
   echo ""$AMARILLO"La version del sistema es..."$CYAN"$VERSIONLOCAL"$CIERRE""
   sleep 1
   echo ""
   echo "__________________________________________"
   echo ""
   echo ""$AMARILLO"La version mas nueva en su pagina web es..."$CYAN"$PRGNAM-$VERSION"$CIERRE""
   echo ""
   if [ $PRGNAM = x265 ]; then
      echo "${ROJO}ADVERTENCIA:"
      echo "${BLANCO}Actualizar este paquete puede romper ${AMARILLO}ffmpeg"
      echo "${BLANCO}Es posible que necesites recompilar ${AMARILLO}ffmpeg"
      echo
   fi
   echo ""$BLANCO"Pulsa $ROJO"ENTER" $BLANCO"si deseas actualizarla""
   read junk
   echo ""

# Si el paquete esta instalado y es el mismo se sube el numero de build
if [ "$INSTALADA" = $VERSION ]; then
BUILDLOCAL="$(ls /var/log/packages/$PRGNAM-$INSTALADA-*|rev|cut -d'-' -f1|grep -o "[0-9]*"|rev)"
BUILD=`expr $BUILDLOCAL + 1`
fi
}


Código: [Seleccionar]
   # Si el sistema tiene una version anterior se eliminara
   if [ "$INSTALADA" != "NO INSTALADA" ]; then
      f_eliminaVersion
   fi

Fr3dY

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #214 en: 14-10-2015, 10:46 (Miércoles) »
Pues con los cambios en los updaters (+ GUI), el soporte a ATI Hybrid Graphics y todas las novedades adicionales... yo diría que es buen momento para ir pensando en publicar Wifislax 4.11.2 ;)


EDITO: @USUARIONUEVO, también modificaste el script de inicio para las NVIDIA? Tuve que poner un módulo que eliminaba la reconfiguración de las X porque con OPTIMUS no rulaba.



Saludos
« Última modificación: 14-10-2015, 12:24 (Miércoles) por Fr3dY »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #215 en: 15-10-2015, 03:04 (Jueves) »
EDITO: @USUARIONUEVO, también modificaste el script de inicio para las NVIDIA? Tuve que poner un módulo que eliminaba la reconfiguración de las X porque con OPTIMUS no rulaba.

de todo aquello no toque nada al final ,por que lo de añadir

adapter=all

creaba conflictos con crossfire ,ya que era como dos tarjetas separadas y no podia activar el crossfire.

asi que creo , que esta todo como estaba.

lo unico que los de amd , ya sabe que añadir modulo + modo texto para configurar a mano y entrar y rula.

en nvidia no se como queda la cosa.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #216 en: 15-10-2015, 03:05 (Jueves) »
acabo de bloquear la version de python3

en la web es 3.5  , pero he bloqueado a 3.4.3 por que muchas de las librerias que dependen de python3 no tienen parches para compilar vs python 3.5

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #217 en: 15-10-2015, 08:19 (Jueves) »
bueno ,pues despues del cambio de mostrar siempre el dialogo , veo dos cosas que no me gustan

1 - si hay dependencias , se intentan instalar ANTES INCLUSO DE MOSTRAR DIALOGO ALGUNO , deberia comprobarala despues del usuario aceptar instalar
     por que si no tienes la dependencia intentara antes de todo cumplirla ..y a lo mejor despues no quieres instalar nada  ;)



2 - autoresolver las dependencias ...algunos script "automatizaban" , la resolucion de dependencias ejecutando el updater de turno , pero ahora como muestra el dialogo ... pues acabas teniendo que darle a ENTER  , tres o cuatro veces para instalar algo ..la primera vez vale..pero las dependencias deberian autoresolverse sin mas ,,despues de haber aceptado la instalacion del paquete.



lo primero , lo tengo localizado para cambiar ...   (paliza al canto)

lo segundo he intentado varias cosas ,pero no consigo automatizarlo ..


Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #218 en: 15-10-2015, 11:34 (Jueves) »
ya tengo todos los updaters con los dos ultimos cambios que comentaba


1 - ahora aparece el dialogo , y si aceptas se escanea en busca de las dependencias y no antes
2 - si un updater se ejecuta como "dependencia" , ... se le ha añadido el comando

yes y

a la parte donde se lanza el updater , para autoaceptar el dialogo , de esa forma las dependencias si se resuelven solas aunque hay dialogos se aceptan solos.  ;D

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15503
Re: wifislax-updaters HILO 2
« Respuesta #219 en: 16-10-2015, 23:02 (Viernes) »
He pensado algo , aunque ire poco a poco ...


Voy a revisar los updaters , para ver en cada caso que cosas puedo deshabilitar a la hora de compilar  ...referente a

doc
man

para que compilar documentacion que va a ser exterminada despues?¿ ...es una perdida de tiempo y recursos , en algunos casos sera ridiculo , pero en otros algo se notara el no compilar estas partes de los paquetes.


--disable-doc
--disable-man
--disable-doc-html

revisare en cuales puedo hacer uso de esos parametros e ire actualizando updaters.


parece una jilipollez , pero solo lo parece ... ¿con que finalidad?  ...

si el updater-gui   tiene pendientes 5 actualizaciones , puede pasar a tardar la mitad de tiempo en compilar las 5 ...   lanzandolas de una en una apenas notaremos nada pero el gui , si se vera bastamnte  beneficiado.
« Última modificación: 16-10-2015, 23:05 (Viernes) por USUARIONUEVO »